org.wildfly.swarm.config.messaging.activemq.server

## Class ReplicationColocatedHAPolicy<T extends ReplicationColocatedHAPolicy<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.ReplicationColocatedHAPolicy<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ReplicationColocatedHAPolicy<T extends ReplicationColocatedHAPolicy<T>>
      extends HashMap

  A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReplicationColocatedHAPolicy.ReplicationColocatedHAPolicyResources` Child mutators for ReplicationColocatedHAPolicy

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationColocatedHAPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `backupPortOffset()` The offset to use for the Connectors and Acceptors when creating a new backup server.
    `T` | `backupPortOffset(Integer value)` The offset to use for the Connectors and Acceptors when creating a new backup server.
    `Integer` | `backupRequestRetries()` How many times the live server will try to request a backup, -1 means for ever.
    `T` | `backupRequestRetries(Integer value)` How many times the live server will try to request a backup, -1 means for ever.
    `Long` | `backupRequestRetryInterval()` How long (in ms) to wait for retries between attempts to request a backup server.
    `T` | `backupRequestRetryInterval(Long value)` How long (in ms) to wait for retries between attempts to request a backup server.
    `T` | `excludedConnector(String value)` The connectors that must not have their port offset.
    `List<String>` | `excludedConnectors()` The connectors that must not have their port offset.
    `T` | `excludedConnectors(List<String> value)` The connectors that must not have their port offset.
    `T` | `excludedConnectors(String... args)` The connectors that must not have their port offset.
    `String` | `getKey()`
    `T` | `masterConfiguration()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `masterConfiguration(MasterConfiguration value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `masterConfiguration(MasterConfigurationConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `masterConfiguration(MasterConfigurationSupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `Integer` | `maxBackups()` Whether or not this live server will accept backup requests from other live servers.
    `T` | `maxBackups(Integer value)` Whether or not this live server will accept backup requests from other live servers.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `requestBackup()` If true then the server will request a backup on another node.
    `T` | `requestBackup(Boolean value)` If true then the server will request a backup on another node.
    `T` | `slaveConfiguration()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `slaveConfiguration(SlaveConfiguration value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `slaveConfiguration(SlaveConfigurationConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `slaveConfiguration(SlaveConfigurationSupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `ReplicationColocatedHAPolicy.ReplicationColocatedHAPolicyResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ReplicationColocatedHAPolicy

          public ReplicationColocatedHAPolicy()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ReplicationColocatedHAPolicy.ReplicationColocatedHAPolicyResources subresources()

    - #### masterConfiguration

          public T masterConfiguration(MasterConfiguration value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### masterConfiguration

          public T masterConfiguration(MasterConfigurationConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### masterConfiguration

          public T masterConfiguration()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### masterConfiguration

          public T masterConfiguration(MasterConfigurationSupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### slaveConfiguration

          public T slaveConfiguration(SlaveConfiguration value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### slaveConfiguration

          public T slaveConfiguration(SlaveConfigurationConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### slaveConfiguration

          public T slaveConfiguration()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### slaveConfiguration

          public T slaveConfiguration(SlaveConfigurationSupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### backupPortOffset

          public Integer backupPortOffset()

      The offset to use for the Connectors and Acceptors when creating a new backup server.

    - #### backupPortOffset

          public T backupPortOffset(Integer value)

      The offset to use for the Connectors and Acceptors when creating a new backup server.

    - #### backupRequestRetries

          public Integer backupRequestRetries()

      How many times the live server will try to request a backup, -1 means for ever.

    - #### backupRequestRetries

          public T backupRequestRetries(Integer value)

      How many times the live server will try to request a backup, -1 means for ever.

    - #### backupRequestRetryInterval

          public Long backupRequestRetryInterval()

      How long (in ms) to wait for retries between attempts to request a backup server.

    - #### backupRequestRetryInterval

          public T backupRequestRetryInterval(Long value)

      How long (in ms) to wait for retries between attempts to request a backup server.

    - #### excludedConnectors

          public List<String> excludedConnectors()

      The connectors that must not have their port offset.

    - #### excludedConnectors

          public T excludedConnectors(List<String> value)

      The connectors that must not have their port offset.

    - #### excludedConnector

          public T excludedConnector(String value)

      The connectors that must not have their port offset.

    - #### excludedConnectors

          public T excludedConnectors(String... args)

      The connectors that must not have their port offset.

    - #### maxBackups

          public Integer maxBackups()

      Whether or not this live server will accept backup requests from other live servers.

    - #### maxBackups

          public T maxBackups(Integer value)

      Whether or not this live server will accept backup requests from other live servers.

    - #### requestBackup

          public Boolean requestBackup()

      If true then the server will request a backup on another node.

    - #### requestBackup

          public T requestBackup(Boolean value)

      If true then the server will request a backup on another node.

Copyright © 2017 JBoss by Red Hat. All rights reserved.